%global pkg_name        Text-Reform
%global pkg_version     v1.12.2
%global rpm_pkg_version 1.12.2
%global rpm_pkg_release 1.n0i.3

Summary:       Manual text wrapping and reformatting
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DC/DCONWAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)


%description
The module supplies a re-entrant, highly configurable replacement
for the built-in Perl format() mechanism.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path demo/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README demo/


%changelog
* Sun Sep 30 2007 Marius Feraru <altblue@n0i.net> - 1.12.2-1.n0i.3.v1.12.2
- v1.12.2

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.11-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 1.11-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
